Packages - Packaging Request #3109

[cutefish-wallpapers] Add older free version, Was: Proprietary package
2021-10-13 05:23 PM - gap

Status: open % Done: 0%
Priority: bug

Assignee:

Category:

Description

The license of the package is incorrectly listed as the generic "GPL" whilst on its repository the correct information is listed: licensed
under the proprietary Unsplash License.

History

#1 - 2021-10-13 09:44 PM - telur

https://unsplash.com/license

looks like generic gpl to me, maybe should be consulted with gpl expert or fsf license compliance lab.
the license status is still on debate

https://wpandlegalstuff.com/unsplash-gpl-compatibility-concern-red-herring/

#2 - 2021-10-14 05:13 PM - gap

Unsplash deliberately chose to switch from CCO to this new license for the purpose of stamping out competition with an anti-competitive license,
which states unacceptable usage restrictions, so AFAICT it must be nonfree, otherwise they would have wasted their time.

#3 - 2021-10-14 06:29 PM - avalos

According to the link (https:/unsplash.com/license), you can't sell Unsplash licensed photos without significant modifications, which by itself makes
them nonfree. It also prohibits compiling photos from Unsplash to replicate a similar or competing service, which makes it even less free.

#4 - 2022-01-21 01:35 AM - gap

Bump: the only required action is for the package to be blacklisted, but | can't because | (presumably) don't have commit access.

#5 - 2022-03-31 12:28 AM - GNUtoo

- Status changed from unconfirmed to open

- Subject changed from [cutefish-wallpapers] Proprietary package to [cutefish-wallpapers] Add older free version, Was: Proprietary package
- Tracker changed from Freedom Issue to Packaging Request

Hi,

I've added it to the blacklist.

Since it may have been free before, I'm moving it to Packaging requests.

#6 - 2022-03-31 12:35 AM - gap

Awesome, thank you.
